UbuntuUpdates.org

Package "update-notifier"


Moved to xenial:main:updates


Name: update-notifier

Description:

Daemon which notifies about package updates

Latest version: *DELETED*
Release: xenial (16.04)
Level: proposed
Repository: main

Links


Download "update-notifier"


Other versions of "update-notifier" in Xenial

Repository Area Version
base main 3.168
security main 3.168.7
updates main 3.168.13

Packages in group

Deleted packages are displayed in grey.


Changelog

Version: *DELETED* 2021-01-08 01:06:19 UTC
Moved to xenial:main:updates
No changelog for deleted or moved packages.

Version: 3.168.13 2020-12-23 16:06:58 UTC

  update-notifier (3.168.13) xenial; urgency=medium

  * Fix pep8 autopkgtest failures in the right control file (LP: #1906436)
    - d/control: remove pep8 from Build-Depends as no tests run by
      override_dh_auto_test use pep8.
    - d/tests/control: add pep8 to Depends as it is only used by
      python-based autopkgtests via subprocess in test_motd.py.
    - d/tests/test_package-data-downloader.py: mock subprocess calls to
      apt-helper for expected failure tests to avoid emitting error messages
      to console

Source diff to previous version
1906436 Resolve autopkgtest failures Pep8/pyflakes on Xenial and Bionic

Version: 3.168.12 2020-12-04 23:06:16 UTC

  update-notifier (3.168.12) xenial; urgency=medium

  * data/apt_check.py: Update UA Infra: ESM product name and doc url
    (LP: #1901627)
    - data/apt_check.py: Update name and URL
    - tests/test_motd.py: adapt unittests to match new behavior
    - po/*.po: translation files with intltool-update -r
  * Fix pep8 autopkgtest failures (LP: #1906436)
    - d/control: add expilicit pep8 build-requires dependency
    - data/apt_check.py: fix over-indent pep8 errors
    - data/apt_check & data/backend_helper: resolve underindent pep8 issues
      backport of 9e0f7ee50 [ Brian Murray ]
    - data/apt_check.py, data/package-data-downloader, tests/test_pep8.py:
      + update the code formating to be not hit W504 warnings,
        change to ignore W503 and be consistent with update-manager.
        [ Andrea Azzarone ]
    - INSTALL, data/hooks.py, tests/test_package-data-downloader.py:
      Fix E117 over-indented pep issues. [ Gianfranco Costamagna ]

Source diff to previous version
1901627 Update product naming: Simplify UA Infrastructure ESM to UA Infra: ESM
1906436 Resolve autopkgtest failures Pep8/pyflakes on Xenial and Bionic

Version: 3.168.11 2020-10-16 05:06:46 UTC

  update-notifier (3.168.11) xenial; urgency=medium

  [ Julian Andres Klode ]
  * Handle missing cases of LP: #1822340, where we told people ESM is not
    enabled, but not how to enable it.
  * Fix multiple disabled ESM repositories being counted as enabled ones.

  [ Brian Murray ]
  * data/apt_check.py: modify wording and output regarding ESM support.
    (LP: #1842508)

  [ Andreas Hasenack ]
  * data/apt_check.py: Update ESM security pockets names (LP: #1881632)
    - the UbuntuESM pocket was renamed from <distro>-security to
      <distro>-infra-security
    - new origin UbuntuESMApps, with a corresponding pocket of
      <distro>-apps-security

 -- Chad Smith <email address hidden> Tue, 29 Sep 2020 17:41:19 -0600

1822340 [UIFe] motd messaging rewrite
1842508 motd messaging changes regarding apt updates
1881632 esm security updates not reported by apt update-notifier

Version: *DELETED* 2019-01-10 12:06:33 UTC
Moved to xenial:main:updates
No changelog for deleted or moved packages.



About   -   Send Feedback to @ubuntu_updates